<template >
  <div class="wrapper" style="overflow: hidden">
    <div class="container-fuild">
      <div id="headTitle">
        <logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('payment_view') }}</h1>
      </div>
    <Header/>
    <ol id="topicPath">
        <li style="margin-left: 313px;">
          <router-link to="productsetting">
            <a href="dashbaord">
              <font style="vertical-align : inherit">
                <font style="vertical-align : inherit">
                  {{ i18ntext.lngText('payment_view') }}
                  </font>
              </font>
            </a>
            </router-link>
          </li>
        </ol>
    </div>
    <div class="search-box">
      <div id="purchase">
        <!--#contents -->
        <div class="search-box mb-4">
          <div class="search-box-title" id="Bars">
            <div id="bar" style="width: 90%;">

              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('stock-alert') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ stockcount }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>
                  <router-link to="/ex_alert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('expire-alert1') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ count_expire }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>


            </div>
            <div id="right">
              <a class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown" aria-expanded="false"
            style="float: right; color: #f8f5b4;margin-top: -2px;margin-right: 11px;">
            <i class="fas fa-plus" style="padding-right: 5px"> </i>
            {{ i18ntext.lngText('menu') }}
          </a>
          <ul class="dropdown-menu">
            <li>
              <a v-if="this.form.statue == 'open'" class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                data-bs-target="#staticBackdropss" tabindex="10028"><i class="fas fa-edit"></i> {{ i18ntext.lngText('release') }}</a>
            </li>
            <li>
              <a v-if="this.form.statue == 'open'" class="dropdown-item" data-bs-toggle="modal"
                data-bs-target="#staticBackdropss" tabindex="10028" href="#"> <i class="fas fa-save"></i> {{ i18ntext.lngText('booking') }}</a>
            </li>
            <li>
              <a class="dropdown-item" data-bs-toggle="modal" data-bs-target="#staticboomId"
                tabindex="10028" href="#"><i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText('print') }}</a>
            </li>
            <li>
              <a class="dropdown-item" data-bs-toggle="modal" data-bs-target="#staticBackdropss" tabindex="10028"
                href="#"><i class="fas fa-file-excel"></i> {{ i18ntext.lngText('to_excel') }}</a>
            </li>
          </ul>
            </div>
          </div>
          <!-- Button trigger modal -->
          <!-- Modal -->
          <div class="modal fade ui-modal" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false"
            tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
            <div class="modal-dialog smallpopup">
              <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                  <h5 class="modal-title" id="staticBackdropLabel">
                    <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">{{ this.title }}</span>
                  </h5>


                  <span class="ui-icon ui-icon-closethick btn-cancel" data-bs-dismiss="modal" aria-label="Close">
                  </span>


                </div>
                <div class="ui-dialog-content">
                  <div class="modal-body">
                    {{ this.message }}
                  </div>
                  <div class="modal-footer">
                    <div class="button type2" id="uniform-undefined" data-bs-dismiss="modal">
                      <span>No<input autocomplete="off" type="button" class="type2" value="No" style="width: 89px; opacity: 0"
                          onclick="edit_cancel()" tabindex="10008" /></span>
                    </div>
                    <div class="button type2" @click="messagegetconfirm(this.confirm)" data-bs-dismiss="modal">
                      <span>Yes</span>

                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="search-box-content  search-box02">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="tbl_search">
              <tbody>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('doc_num') }}</th>
                  <td width="50%">
                    <input autocomplete="off" :disabled="true" @change="autoUpdateProduct(form)" v-model="form.document_no"
                      class="string_zen_kana clear_text text input_text" style="width:380px" type="text" />
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('doc_type') }}</th>
                  <td width="50%">
                    <input autocomplete="off" :disabled="isDisabled" @change="autoUpdateProduct(form)" v-model="form.document_type"
                      class="string_zen_kana clear_text text input_text" style="width:380px" type="text" />
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('description') }}</th>
                  <td width="50%">
                    <input autocomplete="off" :disabled="isDisabled" @change="autoUpdateProduct(form)" v-model="form.description"
                      class="string_zen clear_text text input_text" style="width:380px" type="text" />
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('supplier') }}</th>
                  <td width="50%">
                    <div class="dropdown">
                      <button
                        class="dropdown-toggle string_zen clear_text text select-menu" type="button" id="dropdownMenuButton1"
                        data-bs-toggle="dropdown" aria-expanded="false" size="50" style="width:380px !important">

                       {{ supply_name }}
                       <i class="fa fa-chevron-down"></i>
                      </button>
                      <div class="dropdown-menu each-drop-menu" aria-labelledby="dropdownMenuButton1">
                        <p>
                          <input autocomplete="off" v-model="txtsearch" @input="searchproduct(txtsearch)"
                            class="string_zen clear_text text search-pro-field" size="50" type="text"/>
                        </p>
                        <ul style="list-style: none" class="scrollable-menu">
                          <li v-for="supply in suppliyer" :value="supply.sup_code" :key="supply.id" @click="getproduct(supply)">
                            <div class="menu-item">
                              {{ supply.sup_name }}
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>

                  </td>
                </tr>

                <tr>
                  <th width="10%">{{ i18ntext.lngText('curency_code') }}</th>
                  <td width="50%">
                    <input autocomplete="off" :disabled="isDisabled" @change="autoUpdateProduct(form)" v-model="form.curency_code"
                      class="string_zen clear_text text input_text" style="width : 380px" type="text" />
                  </td>
                </tr>

                <tr>
                  <th width="10%">{{ i18ntext.lngText('inactive') }}</th>
                  <td width="50%">
                    <div class="selector" id="inactivced"><span>{{ form.inactived }}</span>
                      <select id="inactivced" name="inactivced" v-model="form.inactived" tabindex="10003"
                        style="min-width: 51px; opacity: 0; width: 80px;">
                        <option value="Yes">Yes</option>
                        <option value="No">No</option>
                      </select>
                    </div>
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="search-box-footer" style=" background: #094e59e0; border: 0px #e6e1e16e solid;">
          <div v-if="this.form.statue == 'open'" class="button type2" id="uniform-undefined">
            <span data-bs-toggle="modal" data-bs-target="#statiex-import" tabindex="10028"><input autocomplete="off" type="button"
                value="display" class="type2" style="opacity: 0; width: 54px" tabindex="10025" /><i
                class='fas fa-file-import'></i> {{ i18ntext.lngText('imp') }}</span>
          </div>
          <div class="button type2" id="uniform-undefined">
            <span data-bs-toggle="modal" data-bs-target="#statiex-import" tabindex="10028" @click="exportSheet()"><input autocomplete="off"
                @click="exportSheet()" type="button" value="display" class="type2" style="opacity: 0; width: 54px"
                tabindex="10025" /><i class='fas fa-file-import'></i> {{ i18ntext.lngText('ept') }}</span>
          </div>
          <span class="marker"></span>
        </div>
          </div>
        </div>

        <div class="box">
          <div class="box-content">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
              <thead>
                <tr class="header-table">
                  <th class="excellcolor-trhead" style="width: 7%">{{ i18ntext.lngText('document_no') }}</th>
                  <th class="excellcolor-trhead" style="width: 10%">{{ i18ntext.lngText('description') }}</th>
                  <th class="excellcolor-trhead" style="width: 7%">{{ i18ntext.lngText('pay_method') }}</th>
                  <th class="excellcolor-trhead" style="width: 7%">{{ i18ntext.lngText('total_bel') }}</th>
                  <th class="excellcolor-trhead" style="width: 7%">{{ i18ntext.lngText('exchangerate') }}</th>
                  <th class="excellcolor-trhead" style="width: 10%">{{ i18ntext.lngText('tax') }}</th>
                  <th class="excellcolor-trhead" style="width: 10%">{{ i18ntext.lngText('discount') }}</th>
                  <th class="excellcolor-trhead" style="width: 7%"></th>
                </tr>
                </thead>
              <tbody>
                <tr v-for="(purchaseLine, index) in purchases_lines" :key="index">
                  <th v-if="index % 2 == 0" style=" background-color:#f1f1f10f">{{ purchaseLine.document_no }}</th>
                  <th v-else="index % 2 == 0" style=" border: medium none">{{ purchaseLine.document_no }}</th>
                  <th v-if="index % 2 == 0" style=" background-color:#f1f1f10f">{{ purchaseLine.description }}</th>
                  <th v-else="index % 2 == 0" style="  border: medium none">{{ purchaseLine.description }}</th>
                  <th v-if="index % 2 == 0" style=" background-color:#f1f1f10f">{{ purchaseLine.paymentMethod }}</th>
                  <th v-else="index % 2 == 0" style="  border: medium none">{{ purchaseLine.paymentMethod }}</th>
                  <th v-if="index % 2 == 0" style=" background-color:#f1f1f10f">
                    {{ purchaseLine.totale_balanec }}{{ purchaseLine.currency_code }}</th>
                  <th v-else="index % 2 == 0" style="  border: medium none">
                    {{ purchaseLine.totale_balanec }}{{ purchaseLine.currency_code }}</th>
                  <th v-if="index % 2 == 0" style=" background-color:#f1f1f10f">{{ purchaseLine.exchane_rate }}</th>
                  <th v-else="index % 2 == 0" style=" border: medium none">{{ purchaseLine.exchane_rate }}</th>
                  <th v-if="index % 2 == 0" style=" background-color:#f1f1f10f">{{ purchaseLine.tax }}</th>
                  <th v-else="index % 2 == 0" style=" border: medium none">{{ purchaseLine.tax }}</th>
                  <th v-if="index % 2 == 0" style=" background-color:#f1f1f10f">{{ purchaseLine.dicount }}</th>
                  <th v-else="index % 2 == 0" style=" border: medium none">{{ purchaseLine.dicount }}</th>
                  <th v-if="purchaseLine.statue == 'open'" style=" background-color:#f1f1f10f">
                    <div class="button type2" id="uniform-undefined" data-bs-toggle="modal"
                      data-bs-target="#staticBackdrop" @click="
                        getMessage(
                          'Message',
                          'Do you want to Pay this document.[' + purchaseLine.document_no +']',
                          'delelink',
                          purchaseLine
                        )
                      ">
                      <span><input autocomplete="off" :disabled="false"  type="button" class="type2" style="opacity: 0; width: 54px" tabindex="10025"
                          value="display" /><i class="fa fa-credit-card" aria-hidden="true"></i> Pay</span>
                    </div>
                  </th>
                  <th v-else style="padding:5px 0px !important;color: red;">
                    <div class="button type2" id="uniform-undefined" data-bs-toggle="modal"
                      data-bs-target="#staticBackdrop" @click="
                        getMessage(
                          'Message',
                          'Do you want to Pay this document.[' +
                          purchaseLine.document_no + ']',
                          'delelink',
                           purchaseLine
                        )
                      ">
                      <span><input autocomplete="off" type="button" class="type2" style="opacity: 0; width: 54px" tabindex="10025"
                          value="display" /><i class="fa fa-credit-card" aria-hidden="true"></i> Pay</span>
                    </div>
                  </th>
                </tr>
              <!-- </thead> -->
              </tbody>
              <vue-countdown style="display: none" v-if="counting" :time="60000" @end="onCountdownEnd"
                v-slot="{ totalSeconds }">Fetch again {{ totalSeconds }} seconds later</vue-countdown>
            </table>
          </div>
          <div class="box-footer-pagination">
            <div class="pagination" style="padding: 5px; width: 100%">
              <div class="button type2" id="uniform-undefined" v-show="btnGenerate" @click="myFunction()"
                style="float: left">
                <span v-if="this.form.statue == 'open'" style="width: 145px"><input autocomplete="off" type="button" class="type2"
                    tabindex="10025" value="display" style="opacity: 0; width: 54px" /><i class="fas fa-plus"></i>
                  Generate Code</span>
              </div>
              <div style="width: 30%; float: right; background: none; color: #f8f5b4; ">
                <!-- /.card-header -->
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print" aria-hidden="true"></i>
            {{ i18ntext.lngText('print') }}</h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content" id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="container mb-5 mt-3 print-size">
                <div style="padding:0 50px; background-color: #fff" >
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase" style="text-transform: uppercase;">{{ i18ntext.lngText('payment_view') }}</h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1" style="width: 55%;">
                      <p class=" p-bg font-size p-pad">{{ i18ntext.lngText('com-name') }}</p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('name') }} :</span> <span id="fon">{{ company.company_name }}</span></p>
                      <p class="p-mg  info-pad"><span id="bold">{{ i18ntext.lngText('phone') }} :</span> <span id="fon">{{ company.company_Phone }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('email') }} :</span> <span id="fon">{{ company.company_Email }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('address') }} :</span> <span id="fon">{{ company.company_Address }}</span></p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                    </div>
                  </div>
                  <div class=" my-2  justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th class="text-center">{{ i18ntext.lngText('document_no') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('description') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('pay_method') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('total_bel') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('exchangerate') }}</th>
                          <th class="text-center" style="width:80px">{{ i18ntext.lngText('tax') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('discount') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(purchase, index) in purchases_lines" :key="index">
                          <td>{{ purchase.document_no }}</td>
                          <td>{{ purchase.description }} </td>
                          <td>{{ purchase.paymentMethod }}</td>
                          <td>{{ purchase.totale_balanec }}{{ purchase.currency_code }}</td>
                          <td>{{ purchase.exchane_rate }}</td>
                          <td>{{ purchase.tax }}</td>
                          <td>{{ purchase.dicount }}</td>
                        </tr>
                      </tbody>
                    </table>
                    <div class="col-container ">
                      <div class="row2-col1 min-hi">
                        <p class="p-mg"><span id="bold">{{ i18ntext.lngText('remark') }}/{{ i18ntext.lngText('instruction') }} :</span> </p>
                      </div>
                      <div class="col3 ">
                        <table class="p-table-r">
                          <tr class="p-bg-footer">
                            <th style="font-family: 'Battambang', cursive;">{{ i18ntext.lngText('total') }}</th>
                            <td style="text-align:center; width: 112px;">{{ total }}{{ currency }}</td>
                          </tr>
                          <tr class="p-bg-footer">
                            <th style="font-family: 'Battambang', cursive;">{{ i18ntext.lngText('tax') }}</th>
                            <td style="text-align:center; width: 112px;">0{{ currency }}</td>
                          </tr>
                          <tr class="p-bg-footer">
                            <th style="font-family: 'Battambang', cursive;">{{ i18ntext.lngText('total_amount') }}</th>
                            <td style="text-align:center; width: 112px;">{{ total }}{{ currency }}</td>
                          </tr>
                        </table>

                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-xl-8 supplier-padding">
                      <p class="ms-3">Payment Information</p>
                      <ul class="list-unstyled">
                        <li>ABA BANK:<span class="text--color">Mr. Master</span></li>
                        <li>Bank Name:<span class="text--color">Mr. Master</span></li>
                        <li>Bank Account Number: <span class="text--color">001 025 025</span></li>
                      </ul>

                    </div>
                  </div>
                  <hr>


                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0" data-mdb-ripple-color="dark"><i
              class="fas fa-print text-primary"></i> {{ i18ntext.lngText('print') }}</a>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade ui-modal" id="statiex-import" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print" aria-hidden="true"></i> {{
            excel
          }} to Docutment: {{ form.document_no }} , {{ form.description }}</h5>
          <a href="#" class="ui-dialog-titlebar-close ui-corner-all" role="button" data-bs-dismiss="modal">
            <span class="ui-icon ui-icon-closethick">close</span></a>
        </div>
        <div id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="container mb-5 mt-3">
                <div class="row d-flex align-items-baseline">
                  <div class="col-xl-9">
                  </div>
                  <hr>
                </div>

                <div class="container">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 v-if="excel == 'Import'" class="​title-purchase" id="titlered">{{ excel }} {{ exefile }} from
                        Excel</h3>
                      <h3 v-else class="title-purchase" id="titlered">{{ excel }} To Excel</h3>
                    </div>
                  </div>
                  <div class="row my-2 mx-1 justify-content-center table-padding-bot customsroll">
                    <table class="table table-striped table-borderless" id="exceldata">
                      <thead style="background-color:#84B0CA ;" class="text-white">
                        <tr>
                          <th style="width: 5%">No</th>
                          <th style="width: 10%">Document No</th>
                          <th style="width: 10%">Document Type</th>
                          <th style="width: 7%">Product No</th>
                          <th style="width: 7%">Description</th>
                          <th style="width: 7%">Unit Price</th>
                          <th style="width: 7%">Inventory</th>
                          <th style="width: 7%">Unit Code</th>
                          <th style="width: 7%">Total</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(purchaseLine, index) in items" :key="items.index">
                          <th v-if="index >= 1" style="width: 5%">{{ index }}</th>
                          <th v-if="index >= 1" style="width: 10%">{{ purchaseLine.document_no }}</th>
                          <th v-if="index >= 1" style="width: 10%">{{ purchaseLine.document_type }}</th>
                          <th v-if="index >= 1" style="width: 7%">{{ purchaseLine.product_no }}</th>
                          <th v-if="index >= 1" style="width: 10%">{{ purchaseLine.description }}</th>
                          <th v-if="index >= 1" style="width: 7%">{{ purchaseLine.unit_price }}{{
                            purchaseLine.curency_code
                          }}
                          </th>
                          <th v-if="index >= 1" style="width: 7%">{{ purchaseLine.inventory }}</th>
                          <th v-if="index >= 1" style="width: 7%">{{ purchaseLine.unit_of_measure_code }}</th>
                          <th v-if="index >= 1" style="width: 7%">
                            {{ purchaseLine.total_amount }}{{ purchaseLine.curency_code }}</th>
                        </tr>
                      </tbody>

                    </table>
                  </div>
                  <div class="row">
                    <div class="col-xl-8 supplier-padding">
                      <p class="ms-3">Payment Information</p>
                      <ul class="list-unstyled">
                        <li class="text-muted">ABA BANK<span class="text--color">Mr. Master</span></li>
                        <li class="text-muted">Bank Name:<span class="text--color">Mr. Master</span></li>
                        <li class="text-muted">Bank Account Number: <span class="text--color">001 025 025</span></li>
                      </ul>
                    </div>
                    <div class="col-xl-8 supplier-padding">
                      <ul class="list-unstyled">
                        <tr>
                          <td class="th-font-bold text-right">Products :</td>
                          <td class="th-font-bold">{{ productline }}</td>
                        </tr>
                        <tr>
                          <td class="th-font-bold text-right">Inventory : </td>
                          <td class="th-font-bold">{{ item }}</td>
                        </tr>
                        <tr>
                          <td class="th-font-bold table-th-width text-right">Total Amount : </td>
                          <td class="th-font-bold">{{ total }}{{ currency }}</td>
                        </tr>
                      </ul>
                    </div>
                  </div>
                  <hr>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a v-if="excel == 'Import'" class="btn-purchase btn-light text-capitalize" data-bs-dismiss="modal"
            data-mdb-ripple-color="dark" @click="saveprulink()"><i class="fas fa-save"></i> Save Date</a>
          <a v-if="excel == 'Import'" class="btn-purchase btn-light text-capitalize" data-mdb-ripple-color="dark"><i
              class="fas fa-file-excel"></i> {{ excel }} Form excel</a>
          <input autocomplete="off" v-if="excel == 'Import'" type="file" @change="getExcelData" name="select_file" />
          <a v-else class="btn-purchase btn-light text-capitalize" data-bs-dismiss="modal" data-mdb-ripple-color="dark"
            @click="exportdataExcel()"><i class="fas fa-save"></i> Save Date</a>
        </div>
      </div>
    </div>
  </div>
  <div id="myModal" class="lskymodal">
    <div class="lskymodal-content">
      <p><i class="fa fa-check" aria-hidden="true"></i> {{ massege }}</p>
    </div>
  </div>
  <div id="myModalauto" class="lsky">
    <div class="lsky-content">
      <p>{{ massege }}</p>
    </div>
  </div>

  <div id="myModal" class="lskymodal">
    <div class="lskymodal-content">
      <p><i class="fa fa-check" aria-hidden="false"></i> {{ massege }}</p>
    </div>
  </div>
  <div id="footer">
    <div id="copyright">Copyright (C) healthbook. ALL Right s Researved Edit by Lsky</div>
  </div>
  <UserInfo />
</template>
<script>
import readXlsxFile from 'read-excel-file';
import Auth from '../../auth/Auth';
import Header from '../Header.vue'
import moment from "moment";
import * as XLSX from 'xlsx/xlsx.mjs';
import axios from "axios";
import Logo from "../logo.vue";
import print from 'vue3-print-nb';
import i18n from "../../i18n/i18n";
import UserInfo from "../UserInfo.vue";
export default {
  components: {Header, Logo,UserInfo},
  directives:{print},
  data() {
    return {
      i18ntext: i18n,
      supply_name: "Select Supplyer",
      massege: '',
      pending: false,
      file: null,
      img: "",
      currency: '',
      code: "",
      company: [],
      dateformart: '',
      confirm: "",
      title: "",
      message: "",
      purchases: "",
      exefile: '',
      purchasesCode: "",
      suppliyer: [],
      purchases_lines: [],
      units: [],
      products: [],
      boompros: [],
      boomunits: [],
      btnGenerate: false,
      total: 0,
      item: 0,
      productline: 0,
      form: {
        document_no: "",
        document_type: "",
        description: "",
        suppliyer_code: "",
        curency_code: "",
        inactived: "",
      },
      checkexcel: [],
      items: [{
        id: '',
        document_no: '',
        document_type: '',
        product_no: '',
        description: '',
        unit_of_measure_code: '',
        inventory: 0,
        unit_price: 0,
        total_amount: 0,
        curency_code: '',
      }],
      checkarray: 1,
      excel: 'Import',
      head: ["id", "document_no", "document_type", "product_no", "description", "unit_of_measure_code", "inventory", "unit_price", "total_amount", "curency_code"],
      fileName: "PrucheseLine.xlsx",
      stockcount:0,
      count_expire:0,
    };
  },
  async mounted() {
    if (Auth.check()) {
        if(!Auth.checkPermission('PAYMENTVIEW_ALL')){
            this.$router.push('/dashboard');
        }
    }
    this.getPurchaseoOrder();
    this.getcompany();
    this.getsupplyer()
    this.getstockalert()
    this.getExpireAlert()
  },
  methods: {
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.length;
      });
  },
  async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    getPurchaseoOrder() {
      axios.get("/api/v1/paymentvoucher/paymentget/").then((res) => {
        this.purchases_lines = res.data;
      });
    },
    getcompany(){
          axios.get("/api/v1/getSetup/")
            .then((response) => {
             this.company = response.data;
             this.dateformart = moment(new Date()).format('DD-MM-YYYY');
            });
    },
    getsupplyer(){
      axios.get("/api/v1/suppliyers/getdatasub")
            .then((res) => {
              this.suppliyer = res.data;
            })
    },
    getproduct(supplier){
      // window.alert(supplier.sup_name)
      this.supply_name = supplier.sup_name
    },
    getExcelData(event) {
      this.exefile = '';
      const titlered = document.getElementById("titlered");
      titlered.style.color = '326c7a';
      this.items = [];
      let xlsxfile = event.target.files ? event.target.files[0] : null;
      readXlsxFile(xlsxfile).then((rows) => {
        var x = 0;
        rows.forEach(element => {
          if (x >= 0) {
            if (x == 0) {
              this.checkexcel = element;
            } else {
              if (this.checkexcel[0] == 'id' && this.checkexcel[1] == 'product_no' && this.checkexcel[2] == 'description' && this.checkexcel[3] == 'unit_of_measure_code' && this.checkexcel[4] == 'inventory' && this.checkexcel[5] == 'unit_price' && this.checkexcel[6] == 'total_amount') {
                this.items.push({
                  id: x,
                  document_no: this.form.document_no,
                  document_type: this.form.document_type,
                  product_no: element[1],
                  description: element[2],
                  unit_of_measure_code: element[3],
                  inventory: element[4],
                  unit_price: element[5],
                  total_amount: element[6],
                  curency_code: this.form.curency_code,
                });
              } else {
                console.log(element);
                this.exefile = ' fail data ';
                titlered.style.color = 'red';
              }
            }
          }
          x++;
          this.sumTotal(this.items);
        });
      })
      this.exefile = '';
    }, getMessage(title, messsatetext, confirm, id) {
      this.title = title;
      this.message = messsatetext;
      this.confirm = confirm;
      this.code = id.document_no;
    },
    messagegetconfirm(confirm) {
      if (confirm == "crate") {
        this.btnGenerate_code("crate");
      }
      if (confirm == "delelink") {
        this.$router.push({ name: "paymen", query: { id: this.code }, });
      }
    },
    exportSheet() {
      this.items = [];
      this.purchases_lines.forEach(element => {
        console.log(element);
        this.items.push({
          document_no: element.document_no,
          document_type: element.document_type,
          product_no: element.product_no,
          description: element.description,
          unit_of_measure_code: element.unit_of_measure_code,
          inventory: element.inventory,
          unit_price: element.unit_price,
          total_amount: element.total_amount,
          curency_code: element.curency_code,
        })
      });
      this.excel = 'Export';
    },
    exportdataExcel() {
      const invoices = this.items.reduce((ac, element) => {
        ac.push({
          document_no: element.document_no,
          document_type: element.document_type,
          product_no: element.product_no,
          description: element.description,
          unit_of_measure_code: element.unit_of_measure_code,
          inventory: element.inventory,
          unit_price: element.unit_price,
          total_amount: element.total_amount,
          curency_code: element.curency_code,
        });
        return ac;
      }, []);
      var invoicesWS = XLSX.utils.json_to_sheet(invoices)
      var wb = XLSX.utils.book_new()
      XLSX.utils.book_append_sheet(wb, invoicesWS, 'PruchecLink')
      XLSX.writeFile(wb, 'PruchecLink.xlsx')
    },
  },
  startCountdown: function () {
    this.counting = true;
  },
  onCountdownEnd: function () {
    this.counting = false;
  }
};
</script>
